import config from '../config/appConfig.js'

export function getConnectionString () {
  if (config.db.uri) {
    return config.db.uri
  }

  return `mongodb://${config.db.user}:${config.db.pass}@${config.db.host}:${config.db.port}/${config.db.name}`
}

export const connectionOptions = {
  dbName: config.db.name,
  user: config.db.user,
  pass: config.db.pass,
  serverSelectionTimeoutMS: 3000, // default 30000
  autoIndex: true
}

export { apartmentDataSchema } from './models/apartmentData.js' // Initialize before loading buildingSchema
export { buildingDataSchema } from './models/buildingData.js' // Initialize before loading buildingSchema
export { imageSchema } from './models/image.js' // Initialize before loading buildingSchema

export { default as Apartment } from './models/apartment.js'
export { apartmentSchema } from './models/apartment.js'
export { default as Building } from './models/building.js'
export { buildingSchema } from './models/building.js'
export { default as Management } from './models/management.js'
export { managementSchema } from './models/management.js'
export { default as Simulation } from './models/simulation.js'
export { simulationSchema } from './models/simulation.js'
export { default as User } from './models/user.js'
export { userSchema } from './models/user.js'
