import mongoose from 'mongoose'

import { apartmentDataSchema, imageSchema } from '../index.js'

export const apartmentSchema = new mongoose.Schema({
  name: {
    type: String,
    default: null
  },
  data: {
    type: apartmentDataSchema,
    default: {}
  },
  image: {
    type: imageSchema,
    default: {}
  },
  linkedTo: mongoose.SchemaTypes.ObjectId,
  owner: mongoose.SchemaTypes.ObjectId,
  createdAt: {
    type: Date,
    immutable: true,
    default: () => Date.now()
  },
  updatedAt: {
    type: Date,
    default: () => Date.now()
  }
})

export default mongoose.model('Apartment', apartmentSchema)
